Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041619
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-08-08 20:152019-08-21 07:56
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision4ce568c079ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041619: API Change: Remove unused methods from AdvPaymentMngtDao, FIN_Utility, PaymentReportDao

DescriptionMethods getReconciliationDetailReport and getReconciliationSummaryReport from AdvPaymentMngtDao,

getFinancialAccountList, getInStrList, getInStrSet, getOrderedPaymentDetailList and getPaymentMethodList from FIN_Utility

and getInvoicePaymentSchedule from PaymentReportDao are not used in Core as well as supported external modules hence risk of removing them is very low.

getInStrList method is used in below modules
- com.practicsbs.saftpt (No Information category)
- com.xpandit.openbravo.saftpt (Unsupported category)
Steps To Reproduce-
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0041425 closedAtulOpenbravo Unused methods in AdvPaymentMngtDao.java 
blocks defect 0041423 closedAtulOpenbravo The method getInvoicePaymentSchedule of PaymentReportDao.java is not used 
blocks defect 0041424 closedAtulOpenbravo Several unused methods in FIN_Utility.java 

-  Notes
(0113999)
hgbot (developer)
2019-08-13 18:43

Repository: erp/devel/api-checks
Changeset: 4ce568c079abbd6b1b6cc3942a3b2ddabd8214d9
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Aug 13 22:09:30 2019 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/4ce568c079abbd6b1b6cc3942a3b2ddabd8214d9 [^]

Fixes Issue 0041619: API Change: Remove unused methods from
AdvPaymentMngtDao, FIN_Utility, PaymentReportDao

Remove methods getReconciliationDetailReport & getReconciliationSummaryReport
from AdvPaymentMngtDao, getFinancialAccountList, getInStrList, getInStrSet,
getOrderedPaymentDetailList and getPaymentMethodList from FIN_Utility
and getInvoicePaymentSchedule from PaymentReportDao

---
M java/reference/java.japi.gz
---
(0114107)
vmromanos (developer)
2019-08-21 07:56

Code review OK.
CI passed successfully.

- Issue History
Date Modified Username Field Change
2019-08-08 20:15 AtulOpenbravo New Issue
2019-08-08 20:15 AtulOpenbravo Assigned To => Triage Finance
2019-08-08 20:15 AtulOpenbravo Modules => Core
2019-08-08 20:15 AtulOpenbravo Triggers an Emergency Pack => No
2019-08-08 20:16 AtulOpenbravo Assigned To Triage Finance => dmitry_mezentsev
2019-08-08 20:20 AtulOpenbravo Relationship added blocks 0041425
2019-08-08 20:20 AtulOpenbravo Relationship added blocks 0041423
2019-08-08 20:21 AtulOpenbravo Relationship added blocks 0041424
2019-08-13 09:21 dmitry_mezentsev Tag Attached: Approved
2019-08-13 09:21 dmitry_mezentsev Assigned To dmitry_mezentsev => AtulOpenbravo
2019-08-13 18:43 hgbot Checkin
2019-08-13 18:43 hgbot Note Added: 0113999
2019-08-13 18:43 hgbot Status new => resolved
2019-08-13 18:43 hgbot Resolution open => fixed
2019-08-13 18:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/4ce568c079abbd6b1b6cc3942a3b2ddabd8214d9 [^]
2019-08-21 07:56 vmromanos Review Assigned To => vmromanos
2019-08-21 07:56 vmromanos Note Added: 0114107
2019-08-21 07:56 vmromanos Status resolved => closed
2019-08-21 07:56 vmromanos Fixed in Version => 3.0PR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker